{ pkgs }:

with pkgs;
[
  # Nix
  nixd
  # General packages for development and system management
  #alacritty
  aspell
  aspellDicts.en
  bash-completion
  bat
  btop
  coreutils
  killall
  neofetch
  openssh
  sqlite
  wget
  zip
  htop
  ncdu
  mtr
  nixfmt-rfc-style

  # Encryption and security tools
  age
  age-plugin-yubikey
  gnupg
  libfido2

  # Cloud-related tools and SDKs
  docker
  docker-compose

  # Media-related packages
  emacs-all-the-icons-fonts
  dejavu_fonts
  ffmpeg
  fd
  font-awesome
  hack-font
  noto-fonts
  noto-fonts-emoji
  meslo-lgs-nf

  # Node.js development tools
  nodePackages.npm # globally install npm
  nodePackages.prettier
  nodejs

  # Text and terminal utilities
  htop
  hunspell
  iftop
  jetbrains-mono
  jq
  ripgrep
  tree
  tmux
  unrar
  unzip
  #  zsh-powerlevel10k

  # Python packages
  python3
  virtualenv

  # Rust Related
  rustc
  cargo

  # Tex and LaTex
  pandoc
  mdbook

  (texlive.combine {
    inherit (texlive)
      scheme-small
      enumitem
      xifthen
      ifmtarg
      fontawesome5
      sourcesanspro
      tcolorbox
      tikzfill
      makecell
      bibunits
      lualatex-math
      selnolig
      titling
      upquote
      microtype
      footnotehyper
      parskip
      xurl
      ;

  })

]
